Package com.mockobjects.util

# Class TestCaseMo

java.lang.Object
junit.framework.Assert
junit.framework.TestCase
com.mockobjects.util.TestCaseMo

All Implemented Interfaces:
  `junit.framework.Test`

public abstract class TestCaseMo extends junit.framework.TestCase
Provides a level of indirection from TestCase so you can accomodate JUnit interface changes (like the change from 2.x to 3.1)

## Constructor Summary

Constructors
Constructor
Description
`TestCaseMo(String name)`

## Method Summary

Modifier and Type
Method
Description
`void`
`assertFails(String message, Runnable runnable)`
`void`
`assertVerifyFails(Verifiable aVerifiable)`
`static void`
`start(String[] testNames)`

### Methods inherited from class junit.framework.TestCase

`countTestCases, getName, run, run, runBare, setName, toString`

### Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TestCaseMo

public TestCaseMo(String name)

## Method Details

### assertVerifyFails

public void assertVerifyFails(Verifiable aVerifiable)

### assertFails

public void assertFails(String message, Runnable runnable)

### start

public static void start(String[] testNames)